Index: issm/branches/trunk-jpl-damage/src/modules/matlab/Makefile.am
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/matlab/Makefile.am	(revision 12168)
+++ issm/branches/trunk-jpl-damage/src/modules/matlab/Makefile.am	(revision 12168)
@@ -0,0 +1,163 @@
+INCLUDES = @MATLABINCL@ @PETSCINCL@ @MPIINCL@ @METISINCL@ @TRIANGLEINCL@ @CHACOINCL@ @SCOTCHINCL@ @SHAPELIBINCL@ @BOOSTINCL@ @PYTHONINCL@ @PYTHON_NUMPYINCL@
+EXEEXT=$(MATLABWRAPPEREXT)
+#Bin programs {{{1
+if MODULES
+bin_PROGRAMS =  AverageFilter\
+				BamgMesher\
+				BamgConvertMesh\
+				BamgTriangulate\
+				Chaco\
+				ContourToMesh \
+				ContourToNodes \
+				ElementConnectivity\
+				EnumToString\
+				Exp2Kml \
+				HoleFiller \
+				InternalFront\
+				InterpFromGridToMesh \
+				InterpFromMeshToMesh2d \
+				InterpFromMeshToMesh3d \
+				InterpFromMeshToGrid \
+				InterpFromMesh2d \
+				KMLFileRead \
+				KMLMeshWrite \
+				KMLOverlay \
+				Kml2Exp \
+				Kriging \
+				Ll2xy \
+				NodeConnectivity \
+				MeshPartition\
+				MeshProfileIntersection\
+				PointCloudFindNeighbors\
+				PropagateFlagsFromConnectivity\
+				Scotch\
+				Shp2Kml\
+				StringToEnum\
+				TriaSearch\
+				TriMesh\
+				TriMeshProcessRifts\
+				Xy2ll
+endif 
+#}}}
+#Flags and libraries {{{1
+LDADD = ../../c/libISSMCore.a ../../c/libISSMModules.a $(TRIANGLELIB) $(PETSCLIB) $(FLIBS) $(PLAPACKLIB) $(MUMPSLIB) $(SCALAPACKLIB) $(BLACSLIB) $(HYPRELIB) $(MLLIB) $(DAKOTALIB) $(METISLIB) $(CHACOLIB) $(SCOTCHLIB) $(BLASLAPACKLIB) $(MPILIB) $(MATHLIB) $(FORTRANLIB) $(GRAPHICSLIB) $(MULTITHREADINGLIB) $(SHAPELIBLIB) $(GSLLIB)
+
+#Triangle library
+AM_CXXFLAGS =  -DTRILIBRARY -DANSI_DECLARATORS -DNO_TIMER
+
+#Matlab part
+AM_LDFLAGS   = $(MEXLINK)
+AM_CXXFLAGS +=  -D_HAVE_MATLAB_MODULES_ -D_GNU_SOURCE -fPIC -fno-omit-frame-pointer -pthread 
+LDADD       += $(MEXLIB) ../../c/libISSMMatlab.a 
+
+LDADD       += ../../c/libISSMCore.a ../../c/libISSMModules.a 
+
+#Optimization flags:
+AM_CXXFLAGS += $(CXXOPTFLAGS) 
+#}}}
+#Bin sources {{{1
+AverageFilter_SOURCES = ../AverageFilter/AverageFilter.cpp\
+			  ../AverageFilter/AverageFilter.h
+
+BamgMesher_SOURCES = ../BamgMesher/BamgMesher.cpp\
+					../BamgMesher/BamgMesher.h
+
+BamgConvertMesh_SOURCES = ../BamgConvertMesh/BamgConvertMesh.cpp\
+					../BamgConvertMesh/BamgConvertMesh.h
+
+BamgTriangulate_SOURCES = ../BamgTriangulate/BamgTriangulate.cpp\
+								  ../BamgTriangulate/BamgTriangulate.h
+
+Chaco_SOURCES = ../Chaco/Chaco.cpp\
+					../Chaco/Chaco.h
+
+ContourToMesh_SOURCES = ../ContourToMesh/ContourToMesh.cpp\
+			  ../ContourToMesh/ContourToMesh.h
+
+ContourToNodes_SOURCES = ../ContourToNodes/ContourToNodes.cpp\
+			  ../ContourToNodes/ContourToNodes.h
+
+ElementConnectivity_SOURCES = ../ElementConnectivity/ElementConnectivity.cpp\
+			  ../ElementConnectivity/ElementConnectivity.h
+
+EnumToString_SOURCES = ../EnumToString/EnumToString.cpp\
+			  ../EnumToString/EnumToString.h
+
+StringToEnum_SOURCES = ../StringToEnum/StringToEnum.cpp\
+			  ../StringToEnum/StringToEnum.h
+
+HoleFiller_SOURCES = ../HoleFiller/HoleFiller.cpp\
+			  ../HoleFiller/HoleFiller.h
+
+InternalFront_SOURCES = ../InternalFront/InternalFront.cpp\
+										 ../InternalFront/InternalFront.h
+
+InterpFromGridToMesh_SOURCES = ../InterpFromGridToMesh/InterpFromGridToMesh.cpp\
+			  ../InterpFromGridToMesh/InterpFromGridToMesh.h
+
+InterpFromMeshToMesh2d_SOURCES = ../InterpFromMeshToMesh2d/InterpFromMeshToMesh2d.cpp\
+							../InterpFromMeshToMesh2d/InterpFromMeshToMesh2d.h
+
+InterpFromMeshToMesh3d_SOURCES = ../InterpFromMeshToMesh3d/InterpFromMeshToMesh3d.cpp\
+									../InterpFromMeshToMesh3d/InterpFromMeshToMesh3d.h
+
+InterpFromMeshToGrid_SOURCES = ../InterpFromMeshToGrid/InterpFromMeshToGrid.cpp\
+									../InterpFromMeshToGrid/InterpFromMeshToGrid.h
+
+InterpFromMesh2d_SOURCES = ../InterpFromMesh2d/InterpFromMesh2d.cpp\
+									../InterpFromMesh2d/InterpFromMesh2d.h
+
+KMLFileRead_SOURCES = ../KMLFileRead/KMLFileRead.cpp\
+			  ../KMLFileRead/KMLFileRead.h
+
+KMLMeshWrite_SOURCES = ../KMLMeshWrite/KMLMeshWrite.cpp\
+			  ../KMLMeshWrite/KMLMeshWrite.h
+
+KMLOverlay_SOURCES = ../KMLOverlay/KMLOverlay.cpp\
+			  ../KMLOverlay/KMLOverlay.h
+
+Xy2ll_SOURCES = ../Xy2ll/Xy2ll.cpp\
+			  ../Xy2ll/Xy2ll.h
+
+Ll2xy_SOURCES = ../Ll2xy/Ll2xy.cpp\
+			  ../Ll2xy/Ll2xy.h
+
+Exp2Kml_SOURCES = ../Exp2Kml/Exp2Kml.cpp\
+			  ../Exp2Kml/Exp2Kml.h
+
+Kml2Exp_SOURCES = ../Kml2Exp/Kml2Exp.cpp\
+			  ../Kml2Exp/Kml2Exp.h
+
+Kriging_SOURCES = ../Kriging/Kriging.cpp\
+						../Kriging/Kriging.h
+
+MeshPartition_SOURCES = ../MeshPartition/MeshPartition.cpp\
+			  ../MeshPartition/MeshPartition.h
+
+MeshProfileIntersection_SOURCES = ../MeshProfileIntersection/MeshProfileIntersection.cpp\
+			  ../MeshProfileIntersection/MeshProfileIntersection.h
+
+NodeConnectivity_SOURCES = ../NodeConnectivity/NodeConnectivity.cpp\
+										../NodeConnectivity/NodeConnectivity.h
+
+PointCloudFindNeighbors_SOURCES = ../PointCloudFindNeighbors/PointCloudFindNeighbors.cpp\
+			  ../PointCloudFindNeighbors/PointCloudFindNeighbors.h
+
+PropagateFlagsFromConnectivity_SOURCES = ../PropagateFlagsFromConnectivity/PropagateFlagsFromConnectivity.cpp\
+			  ../PropagateFlagsFromConnectivity/PropagateFlagsFromConnectivity.h
+
+Scotch_SOURCES = ../Scotch/Scotch.cpp\
+			  ../Scotch/Scotch.h
+
+Shp2Kml_SOURCES = ../Shp2Kml/Shp2Kml.cpp\
+			  ../Shp2Kml/Shp2Kml.h
+
+TriaSearch_SOURCES = ../TriaSearch/TriaSearch.cpp\
+			  ../TriaSearch/TriaSearch.h
+
+TriMesh_SOURCES = ../TriMesh/TriMesh.cpp\
+			  ../TriMesh/TriMesh.h
+
+TriMeshProcessRifts_SOURCES = ../TriMeshProcessRifts/TriMeshProcessRifts.cpp\
+			  ../TriMeshProcessRifts/TriMeshProcessRifts.h
+#}}}
Index: issm/branches/trunk-jpl-damage/src/modules/python/Makefile.am
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/python/Makefile.am	(revision 12168)
+++ issm/branches/trunk-jpl-damage/src/modules/python/Makefile.am	(revision 12168)
@@ -0,0 +1,42 @@
+INCLUDES = @MATLABINCL@ @PETSCINCL@ @MPIINCL@ @METISINCL@ @TRIANGLEINCL@ @CHACOINCL@ @SCOTCHINCL@ @SHAPELIBINCL@ @BOOSTINCL@ @PYTHONINCL@ @PYTHON_NUMPYINCL@
+EXEEXT=$(PYTHONWRAPPEREXT)
+#Bin programs {{{1
+if MODULES
+bin_PROGRAMS = ElementConnectivity\
+			   InterpFromMeshToMesh2d \
+			   NodeConnectivity\
+			   TriMesh 
+endif 
+#}}}
+#Flags and libraries {{{1
+LDADD = ../../c/libISSMCore.a ../../c/libISSMModules.a $(TRIANGLELIB) $(PETSCLIB) $(FLIBS) $(PLAPACKLIB) $(MUMPSLIB) $(SCALAPACKLIB) $(BLACSLIB) $(HYPRELIB) $(MLLIB) $(DAKOTALIB) $(METISLIB) $(CHACOLIB) $(SCOTCHLIB) $(BLASLAPACKLIB) $(MPILIB) $(MATHLIB) $(FORTRANLIB) $(GRAPHICSLIB) $(MULTITHREADINGLIB) $(SHAPELIBLIB) $(GSLLIB)
+
+#Triangle library
+AM_CXXFLAGS =  -DTRILIBRARY -DANSI_DECLARATORS -DNO_TIMER
+
+#Python part
+AM_LDFLAGS   = $(PYTHONLINK)
+AM_CXXFLAGS +=  -D_HAVE_PYTHON_MODULES_ 
+if PYTHON3
+AM_CXXFLAGS +=  -DNPY_NO_DEPRECATED_API 
+endif
+LDADD       += $(BOOSTLIB) $(PYTHONLIB) ../../c/libISSMPython.a
+
+LDADD       += ../../c/libISSMCore.a ../../c/libISSMModules.a 
+
+#Optimization flags:
+AM_CXXFLAGS += $(CXXOPTFLAGS) 
+#}}}
+#Bin sources {{{1
+ElementConnectivity_SOURCES = ../ElementConnectivity/ElementConnectivity.cpp\
+			  ../ElementConnectivity/ElementConnectivity.h
+
+InterpFromMeshToMesh2d_SOURCES = ../InterpFromMeshToMesh2d/InterpFromMeshToMesh2d.cpp\
+							../InterpFromMeshToMesh2d/InterpFromMeshToMesh2d.h
+
+NodeConnectivity_SOURCES = ../NodeConnectivity/NodeConnectivity.cpp\
+										../NodeConnectivity/NodeConnectivity.h
+
+TriMesh_SOURCES = ../TriMesh/TriMesh.cpp\
+			  ../TriMesh/TriMesh.h
+#}}}
Index: issm/branches/trunk-jpl-damage/src/py/Makefile.am
===================================================================
--- issm/branches/trunk-jpl-damage/src/py/Makefile.am	(revision 12168)
+++ issm/branches/trunk-jpl-damage/src/py/Makefile.am	(revision 12168)
@@ -0,0 +1,1 @@
+SUBDIRS = model
Index: issm/branches/trunk-jpl-damage/src/py/model/Makefile.am
===================================================================
--- issm/branches/trunk-jpl-damage/src/py/model/Makefile.am	(revision 12168)
+++ issm/branches/trunk-jpl-damage/src/py/model/Makefile.am	(revision 12168)
@@ -0,0 +1,11 @@
+bin_SCRIPTS = petscversion.py
+CLEANFILES = $(bin_SCRIPTS)
+
+if PYTHON3
+%.py : %.2.py
+	cp -f $< $@
+	2to3 -n -w  $@
+else
+%.py : %.2.py
+	ln -s -f $< $@
+endif
Index: issm/branches/trunk-jpl-damage/src/py/model/petscversion.2.py
===================================================================
--- issm/branches/trunk-jpl-damage/src/py/model/petscversion.2.py	(revision 12168)
+++ issm/branches/trunk-jpl-damage/src/py/model/petscversion.2.py	(revision 12168)
@@ -0,0 +1,39 @@
+#PETSCVERSION - recover petsc version number, inside config.h file
+#
+#   Usage:
+#       PETSC_VERSION=petscversion();
+
+#Module imports {{{
+import os
+import sys
+from issmtier import *
+#}}}
+
+def petscversion():
+
+	#default
+	PETSC_VERSION=3;
+	
+	configfile=issmtier() + "/bin/config.h" #should find it in the install target
+	
+	if not os.path.isfile(configfile):
+		raise RuntimeError("%s%s%s"%("File ",configfile," not found. ISSM has not been configured yet!"))
+
+	#go through the file, and recover the line we want
+	fid=open(configfile,'r');
+
+	tline=fid.readline()
+	while tline:
+
+		if tline=='': 
+			break
+		
+		if tline[0:21]=="#define _PETSC_MAJOR_":
+			PETSC_VERSION=int(tline[22])
+			break
+		
+		tline=fid.readline()
+	
+	fid.close();
+
+	return PETSC_VERSION
Index: issm/branches/trunk-jpl-damage/startup.m
===================================================================
--- issm/branches/trunk-jpl-damage/startup.m	(revision 12167)
+++ issm/branches/trunk-jpl-damage/startup.m	(revision 12168)
@@ -11,35 +11,35 @@
 lastwarn(''); 
 
-%Recover ISSM_TIER , or if on a Windows machine, ISSM_TIER_WIN
+%Recover ISSM_DIR , or if on a Windows machine, ISSM_DIR_WIN
 if ~ispc,
-	ISSM_TIER=getenv('ISSM_TIER');
+	ISSM_DIR=getenv('ISSM_DIR');
 else
-	ISSM_TIER=getenv('ISSM_TIER_WIN');
-	%ISSM_TIER='';
+	ISSM_DIR=getenv('ISSM_DIR_WIN');
+	%ISSM_DIR='';
 end
-if (isempty(ISSM_TIER)),
-	error('''ISSM_TIER'' environment variable is empty! You should define ISSM_TIER in your .cshrc or .bashrc!');
+if (isempty(ISSM_DIR)),
+	error('''ISSM_DIR'' environment variable is empty! You should define ISSM_DIR in your .cshrc or .bashrc!');
 end
 
 %Now add all issm code paths necessary to run issm smoothly. 
 %We capture the error output, so that we can warn the user to update 
-%the variable ISSM_TIER in this file, in case it is not correctly setup. 
+%the variable ISSM_DIR in this file, in case it is not correctly setup. 
 
 %ISSM path
-addpath([ISSM_TIER '/src/m/utils/']); %loads recursivepath
-addpath([ISSM_TIER '/bin']);
-addpath(recursivepath([ISSM_TIER '/src/m']));
-addpath(recursivepath([ISSM_TIER '/externalpackages/scotch']));
-addpath(recursivepath([ISSM_TIER '/externalpackages/canos']));
-addpath(recursivepath([ISSM_TIER '/externalpackages/kml']));
-addpath(recursivepath([ISSM_TIER '/externalpackages/export_fig']));
-addpath(recursivepath([ISSM_TIER '/externalpackages/googleearthtoolbox']));
-addpath(recursivepath([ISSM_TIER '/externalpackages/cm_and_cb_utilities']));
+addpath([ISSM_DIR '/src/m/utils/']); %loads recursivepath
+addpath([ISSM_DIR '/bin']);
+addpath(recursivepath([ISSM_DIR '/src/m']));
+addpath(recursivepath([ISSM_DIR '/externalpackages/scotch']));
+addpath(recursivepath([ISSM_DIR '/externalpackages/canos']));
+addpath(recursivepath([ISSM_DIR '/externalpackages/kml']));
+addpath(recursivepath([ISSM_DIR '/externalpackages/export_fig']));
+addpath(recursivepath([ISSM_DIR '/externalpackages/googleearthtoolbox']));
+addpath(recursivepath([ISSM_DIR '/externalpackages/cm_and_cb_utilities']));
 
-clear ISSM_TIER;
+clear ISSM_DIR;
 
 %Check on any warning messages that might indicate that the paths were not correct. 
 if ~isempty(lastwarn),
-	fprintf('\n  Error trying to setup ''ISSM'' code paths. Try and update the ISSM_TIER variable in your .cshrc or .bashrc!\n');
+	fprintf('\n  Error trying to setup ''ISSM'' code paths. Try and update the ISSM_DIR variable in your .cshrc or .bashrc!\n');
 	fprintf('  ''ISSM'' will not  work at all until this is resolved\n\n');
 else
Index: issm/branches/trunk-jpl-damage/startup.py
===================================================================
--- issm/branches/trunk-jpl-damage/startup.py	(revision 12167)
+++ issm/branches/trunk-jpl-damage/startup.py	(revision 12168)
@@ -5,27 +5,30 @@
 #  before handing over the prompt to the user if the environment variable
 #  PYTHONSTARTUP is defined:
-#  export PYTHONSTARTUP=$ISSM_TIER/startup.py
+#  export PYTHONSTARTUP=$ISSM_DIR/startup.py
 #  This startup script should be run by users before trying to use ISSM.
 
 import os,sys
 
- 
-#First check we are running python 3 at least 
-if sys.version_info[0] < 3:
-	print("ISSM can only work in Python 3. Exiting python")
-	sys.exit(1)
-
-#Recover ISSM_TIER, ISSM_DIR  and USERNAME
-ISSM_TIER=os.getenv('ISSM_TIER')
+#Recover ISSM_DIR and USERNAME
+ISSM_DIR=os.getenv('ISSM_DIR')
 USERNAME =os.getenv('USER')
-if(ISSM_TIER==None):
-	raise NameError('"ISSM_TIER" environment variable is empty! You should define ISSM_TIER in your .cshrc or .bashrc!')
+if(ISSM_DIR==None):
+	raise NameError('"ISSM_DIR" environment variable is empty! You should define ISSM_DIR in your .cshrc or .bashrc!')
 
 #Now add all issm code paths necessary to run issm smoothly. 
 #We capture the error output, so that we can warn the user to update 
-#the variable ISSM_TIER in this file, in case it is not correctly setup. 
+#the variable ISSM_DIR in this file, in case it is not correctly setup. 
 
 #ISSM path. Go through src/py and load everything we find  that looks like a python file
-for root,dirs,files in os.walk(ISSM_TIER+ '/src/py'):
+for root,dirs,files in os.walk(ISSM_DIR+ '/src/py'):
+	for file in files:
+		if file.find(".py") != -1:
+			if file.find(".pyc") == -1:
+				#add to path 
+				sys.path.append(root)
+				file=os.path.splitext(file)[0]
+				#__import__(file)
+
+for root,dirs,files in os.walk(ISSM_DIR+ '/src/m'):
 	for file in files:
 		if file.find(".py") != -1:
@@ -36,5 +39,5 @@
 				#__import__(file)
 				
-sys.path.append(ISSM_TIER + '/src/mex')
+sys.path.append(ISSM_DIR + '/src/modules/python')
 
 #Deal with scipy import: 
@@ -79,5 +82,6 @@
 from miscellaneous import *
 from private import *
-from TriMesh import *
+from triangle import *
+from setmask import *
 
 #}}}
Index: issm/branches/trunk-jpl-damage/test/NightlyRun/runme.m
===================================================================
--- issm/branches/trunk-jpl-damage/test/NightlyRun/runme.m	(revision 12167)
+++ issm/branches/trunk-jpl-damage/test/NightlyRun/runme.m	(revision 12168)
@@ -30,6 +30,6 @@
 %      md=runme('id',102,'procedure','model');
 
-%Get ISSM_TIER variable
-ISSM_TIER=issmtier();
+%Get ISSM_DIR variable
+ISSM_DIR=issmdir();
 
 %Check inputs
@@ -168,5 +168,5 @@
 					message=getReport(me2);
 					if strcmpi(output,'nightly')
-						fid=fopen([ISSM_TIER '/nightlylog/matlaberror.log'], 'at');
+						fid=fopen([ISSM_DIR '/nightlylog/matlaberror.log'], 'at');
 						fprintf(fid,'%s',message);
 						fprintf(fid,'\n------------------------------------------------------------------\n');
@@ -174,5 +174,5 @@
 						disp(sprintf(['FAILURE difference: N/A test id: %i test name: %s field: %s'],id,id_string,fieldname));
 					elseif strcmpi(output,'daily');
-						fid=fopen([ISSM_TIER '/dailylog/matlaberror.log'], 'at');
+						fid=fopen([ISSM_DIR '/dailylog/matlaberror.log'], 'at');
 						fprintf(fid,'%s',message);
 						fprintf(fid,'\n------------------------------------------------------------------\n');
@@ -193,5 +193,5 @@
 		message=getReport(me);
 		if strcmpi(output,'nightly')
-			fid=fopen([ISSM_TIER '/nightlylog/matlaberror.log'], 'at');
+			fid=fopen([ISSM_DIR '/nightlylog/matlaberror.log'], 'at');
 			fprintf(fid,'%s',message);
 			fprintf(fid,'\n------------------------------------------------------------------\n');
@@ -199,5 +199,5 @@
 			disp(sprintf(['FAILURE difference: N/A test id: %i test name: %s field: %s'],id,id_string,'N/A'));
 		elseif strcmpi(output,'daily');
-			fid=fopen([ISSM_TIER '/dailylog/matlaberror.log'], 'at');
+			fid=fopen([ISSM_DIR '/dailylog/matlaberror.log'], 'at');
 			fprintf(fid,'%s',message);
 			fprintf(fid,'\n------------------------------------------------------------------\n');
Index: issm/branches/trunk-jpl-damage/test/NightlyRun/test102.py
===================================================================
--- issm/branches/trunk-jpl-damage/test/NightlyRun/test102.py	(revision 12168)
+++ issm/branches/trunk-jpl-damage/test/NightlyRun/test102.py	(revision 12168)
@@ -0,0 +1,9 @@
+from model import *
+from triangle import *
+from setmask import *
+from parameterize import *
+
+md=model();
+md=triangle(md,'../Exp/Square.exp',50000);
+md=setmask(md,'all','');
+md=parameterize(md,'../Par/SquareShelfConstrained.py')
Index: issm/branches/trunk-jpl-damage/test/NightlyRun/test448.m
===================================================================
--- issm/branches/trunk-jpl-damage/test/NightlyRun/test448.m	(revision 12167)
+++ issm/branches/trunk-jpl-damage/test/NightlyRun/test448.m	(revision 12168)
@@ -3,5 +3,4 @@
 md=parameterize(md,'../Par/SquareSheetShelf.par');
 md=setflowequation(md,'macayeal','all');
-md.cluster=none;
 md.initialization.vx(:)=0;
 md.initialization.vy(:)=0;
Index: issm/branches/trunk-jpl-damage/test/NightlyRun/test450.m
===================================================================
--- issm/branches/trunk-jpl-damage/test/NightlyRun/test450.m	(revision 12167)
+++ issm/branches/trunk-jpl-damage/test/NightlyRun/test450.m	(revision 12168)
@@ -3,5 +3,4 @@
 md=parameterize(md,'../Par/SquareSheetShelf.par');
 md=setflowequation(md,'macayeal','all');
-md.cluster=none;
 md.initialization.vx(:)=0;
 md.initialization.vy(:)=0;
Index: issm/branches/trunk-jpl-damage/test/NightlyRun/test452.m
===================================================================
--- issm/branches/trunk-jpl-damage/test/NightlyRun/test452.m	(revision 12167)
+++ issm/branches/trunk-jpl-damage/test/NightlyRun/test452.m	(revision 12168)
@@ -2,5 +2,4 @@
 md=setmask(md,'../Exp/SquareShelf.exp','');
 md=parameterize(md,'../Par/SquareSheetShelf.par');
-md.cluster=none;
 md.initialization.vx(:)=0;
 md.initialization.vy(:)=0;
Index: issm/branches/trunk-jpl-damage/test/Par/SquareShelfConstrained.py
===================================================================
--- issm/branches/trunk-jpl-damage/test/Par/SquareShelfConstrained.py	(revision 12168)
+++ issm/branches/trunk-jpl-damage/test/Par/SquareShelfConstrained.py	(revision 12168)
@@ -0,0 +1,59 @@
+from numpy import *
+from verbose import *
+import scipy.io as matio
+import InterpFromMeshToMesh2d as im
+from   paterson import  *
+
+#Start defining model parameters here
+#Geometry
+hmin = 300.
+hmax = 1000.
+ymin = min(md.mesh.y)
+ymax = max(md.mesh.y)
+
+md.geometry.thickness = hmax+(hmin-hmax)*(md.mesh.y-ymin)/(ymax-ymin)
+md.geometry.bed=-md.materials.rho_ice/md.materials.rho_water*md.geometry.thickness;
+md.geometry.surface = md.geometry.bed+md.geometry.thickness
+
+#Initial velocity 
+mat=matio.loadmat('../Data/SquareShelfConstrained.data')
+#deal with 'F' oriented matlab matrices!
+index=mat['index'].astype(float)
+index=reshape(index.T,(len(index),3),order='F')
+
+md.initialization.vx = im.InterpFromMeshToMesh2d(index, mat['x'], mat['y'], mat['vx'], md.mesh.x, md.mesh.y)
+md.initialization.vy = im.InterpFromMeshToMesh2d(index, mat['x'], mat['y'], mat['vy'], md.mesh.x, md.mesh.y)
+md.initialization.vz = zeros(md.mesh.numberofvertices)
+md.initialization.pressure = zeros(md.mesh.numberofvertices)
+#Materials
+md.initialization.temperature = (273.-20)*ones(md.mesh.numberofvertices)
+md.materials.rheology_B = paterson(md.initialization.temperature)
+md.materials.rheology_n = 3.*ones(md.mesh.numberofelements)
+#Surface mass balance and basal melting
+md.surfaceforcings.mass_balance = 10.*ones(md.mesh.numberofvertices)
+md.basalforcings.melting_rate = 5.*ones(md.mesh.numberofvertices)
+#Friction
+pos = nonzero(md.mask.elementonfloatingice)
+md.friction.coefficient = 20.*ones(md.mesh.numberofvertices)
+md.friction.coefficient[md.mesh.elements[pos,:].astype(int)-1] =0.
+md.friction.p = ones(md.mesh.numberofelements)
+md.friction.q = ones(md.mesh.numberofelements)
+#Numerical parameters
+md.diagnostic.viscosity_overshoot = 0.0
+md.prognostic.stabilization = 1.
+md.thermal.stabilization = 1.
+md.verbose = verbose()
+md.settings.waitonlock = 30.
+md.diagnostic.restol = 0.05
+md.diagnostic.reltol = 0.05
+md.steadystate.reltol = 0.05
+md.diagnostic.abstol = nan
+md.timestepping.time_step = 1.
+md.timestepping.final_time = 3.
+#Deal with boundary conditions:
+md = SetIceShelfBC(md)
+#Change name so that no test have the same name
+A = dbstack
+if length(A) > 2.:
+    md.miscellaneous.name = A[2].file[0:0-2.]
+
